searchNodes=[{"doc":"Adapter module for Oracle. Ecto.Adapters.SQL callbacks implementation. It uses jamdb_oracle for communicating to the database.","ref":"Ecto.Adapters.Jamdb.Oracle.html","title":"Ecto.Adapters.Jamdb.Oracle","type":"module"},{"doc":"Adapter module for Oracle. DBConnection behaviour implementation. It uses jamdb_oracle for communicating to the database.","ref":"Jamdb.Oracle.html","title":"Jamdb.Oracle","type":"module"},{"doc":"Returns the configured JSON library. To customize the JSON library, include the following in your config/config.exs : config :jamdb_oracle , :json_library , SomeJSONModule Defaults to Jason","ref":"Jamdb.Oracle.html#json_library/0","title":"Jamdb.Oracle.json_library/0","type":"function"},{"doc":"Runs the SQL statement. See DBConnection.prepare_execute/4 . In case of success, it must return an :ok tuple containing a map with at least two keys: :num_rows - the number of rows affected :rows - the result set as a list","ref":"Jamdb.Oracle.html#query/3","title":"Jamdb.Oracle.query/3","type":"function"},{"doc":"Starts and links to a database connection process. See Ecto.Adapters.Jamdb.Oracle . By default the DBConnection starts a pool with a single connection. The size of the pool can be increased with :pool_size . The ping interval to validate an idle connection can be given with the :idle_interval option.","ref":"Jamdb.Oracle.html#start_link/1","title":"Jamdb.Oracle.start_link/1","type":"function"},{"doc":"Strip single/multiline comments","ref":"Jamdb.Oracle.html#strip/1","title":"Jamdb.Oracle.strip/1","type":"function"},{"doc":"Adapter module for Oracle. DBConnection.Query protocol implementation. See DBConnection.prepare_execute/4 .","ref":"Jamdb.Oracle.Query.html","title":"Jamdb.Oracle.Query","type":"module"},{"doc":"Adapter module for Oracle. Ecto.Adapters.SQL.Connection callbacks implementation.","ref":"Jamdb.Oracle.SQL.html","title":"Jamdb.Oracle.SQL","type":"module"},{"doc":"","ref":"Jamdb.Oracle.SQL.html#execute_ddl/1","title":"Jamdb.Oracle.SQL.execute_ddl/1","type":"function"},{"doc":"Erlang driver and Ecto adapter for Oracle Database","ref":"readme.html","title":"Jamdb.Oracle","type":"extras"},{"doc":"Using prepared statement functionality, the SQL statement you want to run is precompiled and stored in a database object, and you can run it as many times as required without compiling it every time it is run. If the data in the statement changes, you can use bind variables as placeholders for the data and then provide literal values at run time. Using bind variables: {&quot;insert into tabl values (:1)&quot;, [&lt;&lt;16#E7,16#99,16#BE&gt;&gt;]} Using named parameters: {&quot;insert into tabl values (:id, :dat)&quot;, [\#{dat =&gt; {2023, 1, 1}, id =&gt; 1}]} Calling stored procedure: {&quot;begin proc(:1, :2, :3); end;&quot; , [1.0, 2.0, 3.0]} Calling stored function: {&quot;begin :1 := func(:2); end;&quot; , [{:out, :varchar}, &quot;one hundred&quot;]} Using cursor variable: {&quot;begin open :1 for select * from tabl where dat&gt;:2; end;&quot; , [:cursor, {2016, 8, 1}]} Using returning clause: {&quot;insert into tabl values (tablid.nextval, sysdate) return id into :1&quot; , [{:out, :number}]} Update batching: {:batch, &quot;insert into tabl values (:1, :2, :3)&quot; , [[1, 2, 3],[4, 5, 6],[7, 8, 9]]} Row prefetching: {:fetch, &quot;select * from tabl where id&gt;:1&quot; , [1]} {:fetch, cursor, row_format, last_row}","ref":"readme.html#features","title":"Jamdb.Oracle - Features","type":"extras"},{"doc":"Adapter options split in different categories described below. All options can be given via the repository configuration: config :your_app , YourApp.Repo , ... Connection options :hostname - Server hostname (Name or IP address of the database server) :port - Server port (Number of the port where the server listens for requests) :database - Database (Database service name or SID with colon as prefix) :username - Username (Name for the connecting user) :password - User password (Password for the connecting user) :parameters - Keyword list of connection parameters :socket_options - Options to be given to the underlying socket :timeout - The default timeout to use on queries, defaults to 15000 Pool options :pool - The connection pool module, defaults to DBConnection.ConnectionPool :pool_size - The size of the pool, defaults to 1 :idle_interval - The ping interval to validate an idle connection, defaults to 5000 Connection parameters :autocommit - Mode that issued an automatic COMMIT operation :fetch - Number of rows to fetch from the server :sdu - Size of session data unit :read_timeout - Read timeout while reading from the socket, defaults to 500 :role - Mode that is used in an internal logon :prelim - Mode that is permitted when the database is down :newpassword - User new password (Change password for the connecting user) :description - Connect descriptor :charset - Client character set, defaults to UTF-8 Output parameters Calling stored procedure or function: [{:out, :number}, {:out, :varchar}] Using returning clause: [{:out, :number}, {:out, :date}] Oracle types Literal syntax in params NUMBER , FLOAT , BINARY_FLOAT :number , :integer , :float , :decimal CHAR , VARCHAR2 , CLOB :varchar , :char , :clob , :string NCHAR , NVARCHAR2 , NCLOB :nvarchar , :nchar , :nclob RAW , BLOB :raw , :blob , :binary , :hexstring DATE :date TIMESTAMP :timestamp TIMESTAMP WITH TIME ZONE :timestamptz SYS_REFCURSOR :cursor Input parameters Using query options: [in: [:number, :binary]] Primitive types The primitive types are: Ecto types Oracle types Literal syntax in params :id , :integer NUMBER (*,0) , INTEGER 1, 2, 3 :float NUMBER , FLOAT , BINARY_FLOAT 1.0, 2.0, 3.0 :decimal NUMBER , FLOAT , BINARY_FLOAT Decimal :string CHAR , VARCHAR2 , CLOB &quot;one hundred&quot; :string NCHAR , NVARCHAR2 , NCLOB &quot;百元&quot;, &quot;万円&quot; :binary RAW , BLOB &quot;E799BE&quot; (base 16 encoded) :binary RAW , BLOB &lt;&lt;0xE7,0x99,0xBE&gt;&gt; (option [in: [:binary]) :binary_id RAW , BLOB &lt;&lt;231,153,190, ...&gt;&gt; (option [in: [:binary_id]) :boolean CHAR , VARCHAR2 , NUMBER true, false :map CLOB , NCLOB %{&quot;one&quot; =&gt; 1, &quot;hundred&quot; =&gt; &quot;百&quot;} :naive_datetime DATE , TIMESTAMP NaiveDateTime :utc_datetime TIMESTAMP WITH TIME ZONE DateTime Character sets String in Elixir is UTF-8 encoded binary. :us7ascii , :we8iso8859p1 , :ee8iso8859p2 , :nee8iso8859p4 , :cl8iso8859p5 , :ar8iso8859p6 , :el8iso8859p7 , :iw8iso8859p8 , :we8iso8859p9 , :ne8iso8859p10 , :th8tisascii , :vn8mswin1258 , :we8iso8859p15 , :blt8iso8859p13 , :ee8mswin1250 , :cl8mswin1251 , :el8mswin1253 , :iw8mswin1255 , :tr8mswin1254 , :we8mswin1252 , :blt8mswin1257 , :ar8mswin1256 :ja16euc , :ja16sjis , :ja16euctilde , :ja16sjistilde , :ko16mswin949 , :zhs16gbk , :zht32euc , :zht16big5 , :zht16mswin950 , :zht16hkscs Examples iex&gt; Ecto.Adapters.SQL . query ( YourApp.Repo , &quot;select 1+:1,sysdate,rowid from dual where 1=:1 &quot; , [ 1 ] ) { :ok , %{ num_rows : 1 , rows : [ [ 2 , ~N[2016-08-01 13:14:15] , &quot;AAAACOAABAAAAWJAAA&quot; ] ] } } iex&gt; row = [ % Ecto.Query.Tagged { value : &lt;&lt; 0xE7 , 0x99 , 0xBE &gt;&gt; , type : :binary } ] iex&gt; Ecto.Adapters.SQL . query ( YourApp.Repo , &quot;insert into tabl values (:1)&quot; , row ) iex&gt; row = [ % Ecto.Query.Tagged { value : %{ dat : { 2023 , 1 , 1 } , id : 1 } , type : :map } ] iex&gt; Ecto.Adapters.SQL . query ( YourApp.Repo , &quot;insert into tabl values (:id, :dat)&quot; , row ) iex&gt; opts = [ batch : true , in : [ Ecto.UUID , :number ] ] iex&gt; row = [ Ecto.UUID . bingenerate , 1 ] iex&gt; Ecto.Adapters.SQL . query ( YourApp.Repo , &quot;insert into tabl values (:1, :2)&quot; , ...&gt; [ row , row ] , opts ) iex&gt; opts = [ returning : false , out : [ :integer ] ] iex&gt; row = [ Date . utc_today ] iex&gt; Ecto.Adapters.SQL . query ( YourApp.Repo , &quot;insert into tabl (dat) values (:1) return id into :2&quot; , ...&gt; row , opts ) Using quoted identifiers: defmodule YourApp.Users do use Ecto.Schema schema &quot; \\\\ &quot; USERS \\\\ &quot;&quot; do field :id , :integer field :uuid , :binary_id field :name , :string , source : :&#39;&quot;NAME&quot;&#39; field :namae , :string , source : :&#39;&quot;名まえ&quot;&#39; end end iex&gt; YourApp.Repo . all ( from ( u in &quot; \\\\ &quot; USERS \\\\ &quot;&quot; , select : u . &#39;&quot;NAME&quot;&#39; , where : u . id == 1 ) ) iex&gt; YourApp.Repo . all ( from ( u in YourApp.Users , select : u . namae , where : u . id == 1 ) ) iex&gt; uuid = &quot;601d74e4-a8d3-4b6e-8365-eddb4c893327&quot; iex&gt; YourApp.Repo . all ( from ( u in YourApp.Users , select : u . name , iex&gt; where : u . uuid == type ( ^ uuid , :binary_id ) ) , [ in : [ :binary_id ] ] ) Imagine you have this migration: defmodule YourApp.Repo.Migrations.Users do use Ecto.Migration def change do create table ( :users , comment : &quot;users table&quot; ) do add :name , :string , comment : &quot;name column&quot; add :namae , :string , national : true add :custom_id , :uuid timestamps ( ) end end end To migrate you'd do it normally: $ mix ecto.migrate","ref":"readme.html#options","title":"Jamdb.Oracle - Options","type":"extras"}]